<?php

class Skoch_Translit
{
	private $translitAdapters = array();

	public function __construct(array $adapters = array())
	{
		if (empty($adapters)) {
			$this->translitAdapters[] = new Skoch_Translit_Latin();
            $this->translitAdapters[] = new Skoch_Translit_Cyrillic();
            $this->translitAdapters[] = new Skoch_Translit_Greek();
			$this->translitAdapters[] = new Skoch_Translit_Japanese();
		} else {
			foreach ($adapters as $adapter) {
				if ($adapter instanceof Skoch_Translit_Adapter) {
					$this->translitAdapters[] = $adapter;
				}
			}
		}
	}

	public function translit($string)
	{
		foreach ($this->translitAdapters as $adapter) {
			$string = $adapter->translit($string);
		}
		return $string;
	}

	public static function trans($string) {
		$trans = new Skoch_Translit();
		return $trans->translit($string);
	}
}