<?php

class Skoch_Translit_Greek implements Skoch_Translit_Adapter
{
    private $replacements = array(
        'γγ' => 'ng', // double consonstant
        'γξ' => 'nx',
        'γκ' => 'gk',
        'γχ' => 'nch',
        'μπ' => 'mp',
        'ντ' => 'nt',
        'αι' => 'ai', // double vowels
        'αυ' => 'af', // todo: Some of these have different transliterations before different chars
        'ει' => 'ei',
        'ευ' => 'ef',
        'ηυ' => 'if',
        'οι' => 'oi',
        'ου' => 'ou',
        'υι' => 'yi',
        'α' => 'a',
        'β' => 'v',
        'γ' => 'g',
        'δ' => 'd',
        'ε' => 'e',
        'ζ' => 'z',
        'η' => 'i' ,
        'θ' => 'th',
        'ι' => 'i',
        'κ' => 'k',
        'λ' => 'l',
        'μ' => 'm',
        'ν' => 'n',
        'ξ' => 'x' ,
        'ο' => 'o',
        'π' => 'p',
        'ρ' => 'r',
        'σ' => 's',
        'ς' => 's', // alternative sigma
        'τ' => 't',
        'υ' => 'y',
        'φ' => 'f',
        'χ' => 'ch',
        'ψ' => 'ps',
        'ω' => 'o',
        'Α' => 'A',
        'Β' => 'V',
        'Γ' => 'G',
        'Δ' => 'D',
        'Ε' => 'E',
        'Ζ' => 'Z',
        'Η' => 'I' ,
        'Θ' => 'Th',
        'Ι' => 'I',
        'Κ' => 'K',
        'Λ' => 'L',
        'Μ' => 'M',
        'Ν' => 'N',
        'Ξ' => 'X' ,
        'Ο' => 'O',
        'Π' => 'P',
        'Ρ' => 'R',
        'Σ' => 'S',
        'Τ' => 'T',
        'Υ' => 'Y',
        'Φ' => 'F',
        'Χ' => 'Ch',
        'Ψ' => 'Ps',
        'Ω' => 'O',
    );

	public function translit($string) {
    	return str_replace(array_keys($this->replacements), array_values($this->replacements), $string);
	}
}