<?php

class Skoch_Translit_Latin implements Skoch_Translit_Adapter
{
	private $replacements = array(
        '¡' => '!',
		'¿' => '?',
		'Ä' => 'Ae', 
		'À' => 'A',
		'Á' => 'A',
		'Â' => 'A', 
		'Ã' => 'A', 
		'ä' => 'ae', 
		'à' => 'a', 
		'á' => 'a', 
		'â' => 'a', 
		'ã' => 'a', 
		'Ǎ' => 'A', 
		'ǎ' => 'a', 
		'Ç' => 'C', 
		'ç' => 'c', 
		'Ć' => 'C', 
		'ć' => 'c', 
		'Ĉ' => 'C', 
		'ĉ' => 'c', 
		'Č' => 'C', 
		'č' => 'c', 
		'Ď' => 'D',
		'Đ' => 'D',
		'đ' => 'd',
		'È' => 'E',
		'É' => 'E', 
		'Ê' => 'E', 
		'Ë' => 'E', 
		'è' => 'e', 
		'é' => 'e', 
		'ê' => 'e', 
		'ë' => 'e', 
		'Ě' => 'E', 
		'ě' => 'e',
		'Ĝ' => 'G', 
		'ĝ' => 'g', 
		'Ģ' => 'G',
		'Ĥ' => 'H', 
		'ĥ' => 'h',
		'Ì' => 'I', 
		'Í' => 'I', 
		'Î' => 'I', 
		'í' => 'i', 
		'î' => 'i', 
		'ï' => 'i',
		'Ĵ' => 'J', 
		'ĵ' => 'J',
		'Ķ' => 'K',
		'ķ' => 'k',
		'Ĺ' => 'L', 
		'ĺ' => 'l', 
		'Ļ' => 'L', 
		'ļ' => 'l', 
		'Ł' => 'L', 
		'ł' => 'l',
		'Ñ' => 'N', 
		'ñ' => 'n', 
		'Ń' => 'N', 
		'ń' => 'n', 
		'Ň' => 'N', 
		'ň' => 'n',
		'Ö' => 'Oe', 
		'Ò' => 'O', 
		'Ó' => 'O', 
		'Ô' => 'O', 
		'Õ' => 'O', 
		'ö' => 'oe', 
		'ò' => 'o', 
		'ó' => 'o', 
		'ô' => 'o', 
		'õ' => 'o', 
		'ø' => 'o',
		'Ŕ' => 'R', 
		'ŕ' => 'r', 
		'Ř' => 'R', 
		'ř' => 'r',
		'ß' => 'ss', 
		'Ś' => 'S', 
		'ś' => 's', 
		'Ŝ' => 'S', 
		'ŝ' => 's',
		'Ş' => 'S', 
		'ş' => 's', 
		'Š' => 'S', 
		'š' => 's',
		'Ť' => 'T', 
		'Ü' => 'Ue', 
		'Ù' => 'U', 
		'Ú' => 'U', 
		'Û' => 'U', 
		'ü' => 'ue', 
		'ù' => 'u',
		'ú' => 'u', 
		'û' => 'u', 
		'Ũ' => 'U', 
		'ũ' => 'u', 
		'Ų' => 'U', 
		'ų' => 'u',
		'Ŵ' => 'W', 
		'ŵ' => 'w',
		'Ý' => 'Y', 
		'ý' => 'y',
		'ÿ' => 'y',
		'Ŷ' => 'Y', 
		'ŷ' => 'y', 
		'Ÿ' => 'Y',
		'Ź' => 'Z', 
		'ź' => 'z', 
		'Ž' => 'Z', 
		'ž' => 'z',
    );
	
	public function translit($string) {
    	return str_replace(array_keys($this->replacements), array_values($this->replacements), $string);
	}
}